Bug 464177 - [LTC 6.0 FEAT] 200985:New package request rtas-diag for Platform Error Analysis Tools
[LTC 6.0 FEAT] 200985:New package request rtas-diag for Platform Error Analys...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: ---
Assigned To: RHEL Product and Program Management
Daniel Riek
:
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-26 11:20 EDT by IBM Bug Proxy
Modified: 2009-12-04 15:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 14:09:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-26 11:20:20 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:24 EDT
1. Feature Overview:
Feature Id:	[200985]
a. Name of Feature:	Platform Error Analysis Tools
b. Feature Description
New package request for tools for analysis of platform error data surfaced by Power platforms -
rtas-diag.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Delivery Mechanism: Direct from community
Category:	Power Servicability
Request Type:	Package - New
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	rtas-diag 2.3

3. Business Case
These tools decode diagnostic events delivered by Power platforms, perform any necessary recovery
actions (such as offlining failing CPUs, performing shutdowns in response to thermal conditions,
etc) and send notifications if parts need to be replaced.  These tools have existed for several
years, but have not yet been open sourced.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Michael Strosaker, strosake@us.ibm.com

IBM Manager:
Larry Kessler, lkessler@us.ibm.com
Comment 1 IBM Bug Proxy 2009-03-03 15:00:47 EST
This package has been open sourced as ppc64-diag, and is available at:

http://sourceforge.net/project/showfiles.php?group_id=44427&package_id=287860&release_id=620504
Comment 2 Siddharth Nagar 2009-05-19 17:54:20 EDT
Can you please confirm that tools to do such monitoring don't already exists in a non-arch specific way?
Comment 4 RHEL Product and Program Management 2009-06-24 14:09:22 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.
Comment 5 IBM Bug Proxy 2009-12-04 15:10:39 EST
------- Comment From bpeters@linux.vnet.ibm.com 2009-12-04 15:01 EDT-------
Indeed there is no mechanism for performing these actions in a non-arch specific way.  The underlying hardware errors are intimately tied to the architecture, and the error codes and diagnostic routines are very Power specific.

Would appreciate reconsideration of this request.  ppc64-diag is a tool needed by all Power customers, for without it ALL rtas events (which includes all communication from the HCM/FSP) are not available to the OS.  Things like lpar shutdown will fail.

Note You need to log in before you can comment on or make changes to this bug.